Subject: bug#73030: closed (Re: bug#73076: Inputs for git:send-email)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 09 Sep 2024 17:39:02 +0000

Your bug report

#73030: git send-email missing perl packages

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
73030: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=73030
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#73076: Inputs for git:send-email
From: Simon Tournier <[email-masked]>
To: Andreas Enge <[email-masked]>, [email-masked], [email-masked]
Date: Mon, 09 Sep 2024 14:10:39 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Andreas,

On Fri, 06 Sep 2024 at 18:15, Andreas Enge <[email-masked]> wrote:

> I think this may be a consequence of the recent core-updates merge.

Duplicate of <https://issues.guix.gnu.org/73030>.

Fixed by acba6223b5268ece0c6cb4b1ce346f5dc5e8affc.

Closing.

Cheers,
simon

Subject: git send-email missing perl packages
From: Simon Tournier <[email-masked]>
To: [email-masked]
Date: Wed, 04 Sep 2024 20:57:27 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Using Guix 7fa9df4, I get the error:

--8<---------------cut here---------------start------------->8---
Not using SSL_VERIFY_PEER due to out-of-date IO::Socket::SSL.
To use SSL please install IO::Socket::SSL with version>=2.007 at /gnu/store/v6bivyjbg6bj07s8iqfzdm6hpvypc0p1-perl-5.36.0/lib/perl5/5.36.0/Net/SMTP.pm line 268.
--8<---------------cut here---------------end--------------->8---

when running “git send-email”.  I have not investigated yet why it
fails.  I notice this:

--8<---------------cut here---------------start------------->8---
$ guix gc --references $(readlink -f ~/.guix-profile/libexec/git-core/git-send-email)
/gnu/store/0yavjaj47a0g3lyw33q2m9whgl588ww7-perl-net-ssleay-1.92
/gnu/store/9wx8rvz984cizp3cq4ng2n1qlk2f1kkh-git-2.45.2
/gnu/store/h2vmf9krw1xmhdd5m52wqs0d7m2ryhxv-perl-gssapi-0.28
/gnu/store/pkd5amfn4wcqrd85x49035nhq8kxy906-perl-uri-5.05
/gnu/store/v6bivyjbg6bj07s8iqfzdm6hpvypc0p1-perl-5.36.0
/gnu/store/x47i4yafqxdav838aykda9c2hhhn9sa4-bash-minimal-5.1.16
/gnu/store/z542qwhy7nnzq7iyjpfxpib2vcx04j0r-git-2.45.2-send-email
--8<---------------cut here---------------end--------------->8---

which the package perl-io-socket-ssl seems missing.

To be precise, using my previous generation, I get:

        bash-minimal-5.1.16
        git-2.41.0
        git-2.41.0-send-email
        perl-5.36.0
        perl-authen-sasl-2.16
        perl-digest-hmac-1.04
        perl-gssapi-0.28
        perl-io-socket-ssl-2.081
        perl-net-smtp-ssl-1.04
        perl-net-ssleay-1.92
        perl-uri-5.05

and now, I get:

        bash-minimal-5.1.16
        git-2.45.2
        git-2.45.2-send-email
        perl-5.36.0
        perl-gssapi-0.28
        perl-net-ssleay-1.92
        perl-uri-5.05

So the difference reads:

        perl-authen-sasl-2.16
        perl-digest-hmac-1.04
        perl-io-socket-ssl-2.081
        perl-net-smtp-ssl-1.04

Other said, if I run:

    guix shell git git:send-email \
         perl \
      perl-authen-sasl perl-digest-hmac perl-io-socket-ssl perl-net-smtp-ssl

then the error is gone.

Cheers,
simon